/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.ergebnis.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.ergebnis.entity.StimmenConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(StimmenMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class StimmenMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "stimmenMeta";

  @Inject
  private transient Messages messages;

  public StimmenMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return StimmenConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return StimmenConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getAnzahlEinzahlMessageKey(){
    return StimmenConstants.MESSAGE_KEY_ANZAHL_EINZAHL;
  }

  public String getAnzahlMehrzahlMessageKey(){
    return StimmenConstants.MESSAGE_KEY_ANZAHL_MEHRZAHL;
  }


  public String getAnzahlEinzahlMessage(){
    return getMessage(getAnzahlEinzahlMessageKey());
  }

  public String getAnzahlMehrzahlMessage(){
    return getMessage(getAnzahlMehrzahlMessageKey());
  }



  public boolean isAnzahlRequired() {
    return !StimmenConstants.ANZAHL_NULLABLE;
  }

  public java.lang.Long getAnzahlDefaultValue() {
    return StimmenConstants.ANZAHL_DEFAULT_VALUE;
  }

  public int getAnzahlMaxLength() {
    return StimmenConstants.ANZAHL_MAX_LENGTH;
  }

  public long getAnzahlMinValue() {
    return StimmenConstants.ANZAHL_MIN_VALUE;
  }

  public long getAnzahlMaxValue() {
    return StimmenConstants.ANZAHL_MAX_VALUE;
  }

  public String getStimmenartEinzahlMessageKey(){
    return StimmenConstants.MESSAGE_KEY_STIMMENART_EINZAHL;
  }

  public String getStimmenartMehrzahlMessageKey(){
    return StimmenConstants.MESSAGE_KEY_STIMMENART_MEHRZAHL;
  }


  public String getStimmenartEinzahlMessage(){
    return getMessage(getStimmenartEinzahlMessageKey());
  }

  public String getStimmenartMehrzahlMessage(){
    return getMessage(getStimmenartMehrzahlMessageKey());
  }



  public boolean isStimmenartRequired() {
    return !StimmenConstants.STIMMENART_NULLABLE;
  }

  public de.ivu.elect.business.ergebnis.entity.Stimmenart getStimmenartDefaultValue() {
    return StimmenConstants.STIMMENART_DEFAULT_VALUE;
  }



  public String getErgebnisEinzahlMessageKey(){
    return StimmenConstants.MESSAGE_KEY_ERGEBNIS_ID_EINZAHL;
  }

  public String getErgebnisEinzahlMessage(){
    return getMessage(getErgebnisEinzahlMessageKey());
  }

  public boolean isErgebnisRequired() {
    return !StimmenConstants.ERGEBNIS_ID_NULLABLE;
  }


  public String getGebietEinzahlMessageKey(){
    return StimmenConstants.MESSAGE_KEY_GEBIET_ID_EINZAHL;
  }

  public String getGebietEinzahlMessage(){
    return getMessage(getGebietEinzahlMessageKey());
  }

  public boolean isGebietRequired() {
    return !StimmenConstants.GEBIET_ID_NULLABLE;
  }


  public String getGruppeEinzahlMessageKey(){
    return StimmenConstants.MESSAGE_KEY_GRUPPE_ID_EINZAHL;
  }

  public String getGruppeEinzahlMessage(){
    return getMessage(getGruppeEinzahlMessageKey());
  }

  public boolean isGruppeRequired() {
    return !StimmenConstants.GRUPPE_ID_NULLABLE;
  }


  public String getListenkandidaturEinzahlMessageKey(){
    return StimmenConstants.MESSAGE_KEY_LISTENKANDIDATUR_ID_EINZAHL;
  }

  public String getListenkandidaturEinzahlMessage(){
    return getMessage(getListenkandidaturEinzahlMessageKey());
  }

  public boolean isListenkandidaturRequired() {
    return !StimmenConstants.LISTENKANDIDATUR_ID_NULLABLE;
  }


  public String getReferendumOptionEinzahlMessageKey(){
    return StimmenConstants.MESSAGE_KEY_REFERENDUM_OPTION_ID_EINZAHL;
  }

  public String getReferendumOptionEinzahlMessage(){
    return getMessage(getReferendumOptionEinzahlMessageKey());
  }

  public boolean isReferendumOptionRequired() {
    return !StimmenConstants.REFERENDUM_OPTION_ID_NULLABLE;
  }

}